Bug 141506 - Smartd warns repeatedly of errors.
Smartd warns repeatedly of errors.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 13:00 EST by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 07:18:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-12-01 13:00:07 EST
When I first started smartd after having problems with my hard drive,
it mailed me to tell me about the uncorrectable errors. It told me "No
additional email messages about this problem will be sent.". It lied;
it does it every time I boot.



The following warning/error was logged by the smartd daemon:

Device: /dev/hda, 1 Offline uncorrectable sectors

For details see host's SYSLOG (default: /var/log/messages).

You can also use the smartctl utility for further investigation.
No additional email messages about this problem will be sent.
Comment 1 Stelian Pop 2005-01-14 10:04:55 EST
I have this too with:

Device: /dev/hda, 1 Currently unreadable (pending) sectors

On FC2 there were no smartd errors.

Now I have this one (I'm not even sure if this is a real error or not)
and I have no clue on how to:
* either stop smartd emailing me over and over again about this
* or flush the disk pending error

Stelian.
Comment 2 P Jones 2005-03-16 17:19:48 EST
I was logged into gnome on FC3 updated to today (031605), and was actually
copying the DVD iso of FC4T1 from one directory to another, logged in as a
normal user, and about half way through a window pops up saying there was an I/O
error, choices were cancel or continue (sorry about the vagueness, I was in a
rush). I selected continue, and the copying completed. Then gnome basically
locked up, and upon doing a ctrl-alt-bckspc I get dumped out to a terminal with
errors about I/O again. Did a hard reset, then I get all kinds of errors about
unwritable directories, etc.

Reboot, single user mode, fsck reports all kinds of errors on the hard drive.
Fix them all, but upon reboot they keep coming back, and now I'm getting smartd
errors.

So, I reformat the drive, a Maxtor 6Y080P0, reinstall FC3, update, and now every
time I boot I get new mail from smartd, same as in the comment above. So, I do a
smartctl short test, it passes. smartctl -a shows 239 errors though. So maybe
the drive is failing, but it passed its own self test and the BIOS smart test
doesn't report anything.

I'll be running the long smartctl test later today, and will report back.
Comment 3 Sitsofe Wheeler 2005-03-16 17:34:03 EST
See http://smartmontools.sourceforge.net/BadBlockHowTo.txt for how to clear a
pending sector. I'm surprised that formatting a disk did not clear pending
sectors though (that could be a sign that something is VERY BAD)

Note You need to log in before you can comment on or make changes to this bug.